import { defineStore } from 'pinia'
import config from '@/config'

export const useZoneEditorStore = defineStore('zoneEditor', {
  state: () => ({
    active: true,
    tool: 'move',
    selectedTile: null,
  }),
  actions: {
    toggleActive() {
      this.active = !this.active
    },
    setTool(tool: string) {
      this.tool = tool
    },
    setSelectedTile(tile: any) {
      this.selectedTile = tile
    },
  }
})

/**
 * [[0,0,0,0,0,0,0,0,0,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,0,0,0,0,0,0,0,0,0]]
 */
